SECN 3.x+ on MP01?

33 views
Skip to first unread message

Tony Rieker

unread,
Oct 3, 2019, 5:09:11 PM10/3/19
to village-...@googlegroups.com
I noticed that the downloads section separates the two MP devices and the MP-01 directory tops out at SECN 2.x. Does anyone know if SECN 3 or higher is available for the MP-01?


Thanks!

T Gillett

unread,
Oct 3, 2019, 5:18:16 PM10/3/19
to village-telco-dev
Hi Tony

There is no support for MP01 beyond SECN 2.

Regards 
Terry

--
You received this message because you are subscribed to the Google Groups "Village Telco Development Community" group.
To unsubscribe from this group and stop receiving emails from it, send an email to village-telco-...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/village-telco-dev/CAGLVmqFPLLk0CopPUoaFmyx24-R8pAkB7MZYpT-8S069qtomZA%40mail.gmail.com.

Tony Rieker

unread,
Oct 4, 2019, 1:03:28 PM10/4/19
to village-...@googlegroups.com
Tanks Terry,

Do you know what sort of effort it would be to put the latest SECN on MP01 or are there fundamental incompatibilities? Pondering if this is something I could potentially tackle.

Thanks.

-Tony

T Gillett

unread,
Oct 4, 2019, 5:04:45 PM10/4/19
to village-telco-dev
Hi Tony

It would be a major undertaking I think.

The wifi chipset has limited processing capacity and is no longer well supported. 

What is you situation?
Do you have a fleet of MP01 devices that you want to use for more than simple telephony?

Regards
Terry


Tony Rieker

unread,
Oct 4, 2019, 5:42:12 PM10/4/19
to village-...@googlegroups.com
Terry,

Thanks for the info. I was mostly interesting in getting newer firmware for housekeeping, no specific need in mind but was curious about it.

Thanks much!

-Tony

Tony Rieker

unread,
Oct 15, 2019, 11:54:26 AM10/15/19
to village-...@googlegroups.com
Terry,

I had the device version numbers confused. I have some "MP02" AR9331 based boards from Dragino (DT01/MS14). Looking thru the downloads at http://download.villagetelco.org/firmware/secn/stable/ it looks like the highest SECN which has the FXS designation in the filename is "openwrt-SECN-4-MP02-GA01.2-MP02FXS-squashfs-sysupgrade.bin"?

Do you know if "lede-SECN-5-MP02-GA01.0-MP02-squashfs-sysupgrade.bin" has the FXS support?

Thanks!

-Tony

T Gillett

unread,
Oct 15, 2019, 9:08:46 PM10/15/19
to village-telco-dev
Hi Tony

We did not pursue a stable version of SECN 5 for the FXS devices as the ongoing changes in the LEDE project (on which it is based) caused us grief.

However there is now a stable SECN 6 firmware posted for the MP02 and MP02-FXS here:


This firmware is based on OpenWrt 18.06.2 from the re-formed OpenWrt project.
(Current OpenWrt stable is 18.06.4 and we will update in due course)

The version of Asterisk in this release has moved to 13 (from ver 11 in SECN 4, no longer supported) and this created some compatibility issues.
The end result is that IVR is not functioning in this release.
Other than that, the firmware is functional and stable as far as I am aware.

If you are inclined to do some work on the Asterisk IVR side of things we would happily include any improvements in updated firmware.

Regards
Terry


don.vukovic

unread,
Oct 15, 2019, 10:18:03 PM10/15/19
to village-...@googlegroups.com




On 10/15/2019 7:08 PM, T Gillett wrote:
>
> If you are inclined to do some work on the Asterisk IVR side of things
> we would happily include any improvements in updated firmware.
Hello all,

I am new, but very interested in the FXS devices included in the SECN code.

I am new and do not understand where the source files are located.
The links included are for the binary and the source files are not at
the same location.

I know my newbe position may be an irradiation to some, but would
someone please post a link to the source files for SECN 6 firmware.

Thank You.

Don

T Gillett

unread,
Oct 16, 2019, 12:13:43 AM10/16/19
to village-telco-dev
Hi Don

You may find useful information on the VillageTelco Wiki site here:
and

The source code for SECN 6 is held here:

Regards
Terry


--
You received this message because you are subscribed to the Google Groups "Village Telco Development Community" group.
To unsubscribe from this group and stop receiving emails from it, send an email to village-telco-...@googlegroups.com.

Song, Stephen

unread,
Oct 24, 2019, 6:44:10 AM10/24/19
to Village Telco Dev
Hi Don,

The source code can be found at https://github.com/villagetelco/vt-firmware and information on setting up a build environment can be found at http://wiki.villagetelco.org/How_To_Set_Up_a_SECN_Build_Environment

Unfortunately, the code for the FXS module itself is not open as parts of it are proprietary and belong to Silicon Labs.  You can get access to this code by signing an NDA with them.

Kind regards... Steve Song

 

Thank You.

Don

--
You received this message because you are subscribed to the Google Groups "Village Telco Development Community" group.
To unsubscribe from this group and stop receiving emails from it, send an email to village-telco-...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/village-telco-dev/e70d27d9-37e3-2956-d612-540465c28ccd%40tinkermill.org.
Reply all
Reply to author
Forward
0 new messages